cURL
curl --request POST \
--url https://api.apps.paloaltonetworks.com/ai_gw/v2/guardrails \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"target": "llm",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"checks": [
{
"parameters": {
"jwksUri": "<string>",
"headerKey": "<string>",
"cacheMaxAge": 86400,
"clockTolerance": 5,
"maxTokenAge": "1d",
"algorithms": [
"RS256"
]
},
"name": "<string>",
"is_enabled": true
}
]
}
'import requests
url = "https://api.apps.paloaltonetworks.com/ai_gw/v2/guardrails"
payload = {
"name": "<string>",
"target": "llm",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"checks": [
{
"parameters": {
"jwksUri": "<string>",
"headerKey": "<string>",
"cacheMaxAge": 86400,
"clockTolerance": 5,
"maxTokenAge": "1d",
"algorithms": ["RS256"]
},
"name": "<string>",
"is_enabled": True
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
target: 'llm',
workspace_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
organisation_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
checks: [
{
parameters: {
jwksUri: '<string>',
headerKey: '<string>',
cacheMaxAge: 86400,
clockTolerance: 5,
maxTokenAge: '1d',
algorithms: ['RS256']
},
name: '<string>',
is_enabled: true
}
]
})
};
fetch('https://api.apps.paloaltonetworks.com/ai_gw/v2/guardrails', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"slug": "<string>",
"version_id": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"param": "<string>",
"type": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"param": "<string>",
"type": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"param": "<string>",
"type": "<string>"
}
}Create guardrail
POST
/
guardrails
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Last modified on September 15, 2026
Was this page helpful?

